Skip to main content

MGCLatticeODataEntityMetadata

Stores discovered OData data entity metadata for the OData Entity Metadata Explorer.

Fields​

NameTypeMandatoryDescription
EntityNameDMFEntityNameYes
PublicCollectionNameMGCLatticePublicCollectionNameNoPublic OData collection name used in the URL.
PublicEntityNameMGCLatticePublicEntityNameNoPublic OData entity name.
EntityTableTableNameNo
PrimaryKeyMGCLatticePrimaryKeyFieldsNoThe entity's primary-key field(s); the key segment used in GET /entity(key).
EntityCategoryDMFEntityCategoryNo
SysModuleDMFModuleNo
TagsDMFEntityTagsNo
IsObsoleteMGCLatticeIsObsoleteNoIndicates whether the entity is obsolete.
IsReadOnlyMGCLatticeIsReadOnlyNoIndicates whether the entity is read-only.
DescriptionMGCLatticeDescriptionNoFree-text description.
PackageNameMGCLatticePackageNameNoName of the package or module.
IsCustomMGCLatticeIsCustomNoIndicates a custom (non-Microsoft) artifact.
IsPublicMGCLatticeIsPublicNoIndicates whether the entity is public.
FieldCountMGCLatticeRecordCountNoA count of related records.
MethodCountMGCLatticeRecordCountNoA count of related records.
ContentHashMGCLatticeContentHashNoDiscovery signature used for incremental refresh.